package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF104Response {

    @Parameter(name = "Adresat")
    String adresat();

    @Parameter(name = "AktualniDatum")
    java.util.Date aktualniDatum();

    @Parameter(name = "CO")
    String co();

    @Parameter(name = "CP")
    String cp();

    @Parameter(name = "Ctvrt")
    String ctvrt();

    @Parameter(name = "DalsiDokladCislo")
    String dalsiDokladCislo();

    @Parameter(name = "DatumExpiraceKontaktnichUdaju")
    java.util.Date datumExpiraceKontaktnichUdaju();

    @Parameter(name = "DatumExpiracePotvrzeniStudent")
    java.util.Date datumExpiracePotvrzeniStudent();

    @Parameter(name = "DatumNarozeni")
    java.util.Date datumNarozeni();

    @Parameter(name = "DatumOtevreni")
    java.util.Date datumOtevreni();

    @Parameter(name = "DatumSouhlasu101")
    java.util.Date datumSouhlasu101();

    @Parameter(name = "DatumTiskuOS")
    java.util.Date datumTiskuOS();

    @Parameter(name = "DelikvenceAktualni")
    String delikvenceAktualni();

    @Parameter(name = "DelikvenceHistoricka")
    String delikvenceHistoricka();

    @Parameter(name = "DruheJmeno")
    String druheJmeno();

    @Parameter(name = "DruhyDokladCislo")
    String druhyDokladCislo();

    @Parameter(name = "DruhyDokladPlatnost")
    java.util.Date druhyDokladPlatnost();

    @Parameter(name = "ICO")
    String ico();

    @Parameter(name = "InfoLimitExpres")
    Double infoLimitExpres();

    @Parameter(name = "InfoLimitExpresDoplneni")
    Double infoLimitExpresDoplneni();

    @Parameter(name = "InfoLimitExpresDoplneniUU")
    String infoLimitExpresDoplneniUU();

    @Parameter(name = "InfoLimitFlexikredit")
    Double infoLimitFlexikredit();

    @Parameter(name = "InfoLimitKonsolidace")
    Double infoLimitKonsolidace();

    @Parameter(name = "InfoLimitKreditniKarta")
    Double infoLimitKreditniKarta();

    @Parameter(name = "InfoLimitOKKarta")
    Double infoLimitOKKarta();

    @Parameter(name = "KodOM")
    String kodOM();

    @Parameter(name = "KodOMICBS")
    String kodOMICBS();

    @Parameter(name = "NezadouciKlient")
    String nezadouciKlient();

    @Parameter(name = "OKEC")
    String okec();

    @Parameter(name = "OROddil")
    String oROddil();

    @Parameter(name = "ORSoud")
    String oRSoud();

    @Parameter(name = "ORVlozka")
    String oRVlozka();

    @Parameter(name = "ObchodniJmeno")
    String obchodniJmeno();

    @Parameter(name = "Obec")
    String obec();

    @Parameter(name = "PDPoKlasifikaci")
    Double pDPoKlasifikaci();

    @Parameter(name = "PSC")
    String psc();

    @Parameter(name = "PlatnostDalsihoDokladuDo")
    java.util.Date platnostDalsihoDokladuDo();

    @Parameter(name = "PocetNedorucenychVypisuAA")
    String pocetNedorucenychVypisuAA();

    @Parameter(name = "PocetNedorucenychVypisuTA")
    String pocetNedorucenychVypisuTA();

    @Parameter(name = "Posta")
    String posta();

    @Parameter(name = "PravniForma")
    String pravniForma();

    @Parameter(name = "Prijmeni")
    String prijmeni();

    @Parameter(name = "PrvniJmeno")
    String prvniJmeno();

    @Parameter(name = "RACV")
    String racv();

    @Parameter(name = "RatingPoKlasifikaci")
    String ratingPoKlasifikaci();

    @Parameter(name = "RatingScalePoKlasifikaci")
    String ratingScalePoKlasifikaci();

    @Parameter(name = "Rezidence")
    String rezidence();

    @Parameter(name = "RizikoKlientaCIS")
    String rizikoKlientaCIS();

    @Parameter(name = "RodneCislo")
    String rodneCislo();

    @Parameter(name = "SerieACisloOP")
    String serieACisloOP();

    @Parameter(name = "SpiciUcet")
    String spiciUcet();

    @Parameter(name = "Telefon")
    String telefon();

    @Parameter(name = "TelefonMobilni")
    String telefonMobilni();

    @Parameter(name = "TelefonMobilniPredvolba")
    String telefonMobilniPredvolba();

    @Parameter(name = "TelefonPredvolba")
    String telefonPredvolba();

    @Parameter(name = "TitulPred")
    String titulPred();

    @Parameter(name = "TitulZa")
    String titulZa();

    @Parameter(name = "TypDalsihoDokladu")
    String typDalsihoDokladu();

    @Parameter(name = "TypDruhehoDokladu")
    String typDruhehoDokladu();

    @Parameter(name = "TypKlienta")
    String typKlienta();

    @Parameter(name = "TypKlientaDetail")
    String typKlientaDetail();

    @Parameter(name = "Ulice")
    String ulice();

    @Parameter(name = "Vek")
    Double vek();

    @Parameter(name = "Zeme")
    String zeme();

    @Parameter(name = "ZkraceneJmeno")
    String zkraceneJmeno();

}